Bug 779859 - SOAPClient action remappes objects with null strings to empty strings
SOAPClient action remappes objects with null strings to empty strings
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0
Unspecified Unspecified
high Severity high
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 10:52 EDT by Jiri Pechanec
Modified: 2012-07-13 00:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: SOA-2218
Environment:
Last Closed: 2011-02-17 20:39:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2218 None None None Never

  None (edit)
Description Jiri Pechanec 2010-08-10 10:52:06 EDT
++ This bug is a clone of bug 779858 ++

project_key: SOA

See JBESB-3451
Comment 1 Kevin Conner 2010-08-10 10:58:52 EDT
Link: Added: This issue depends JBESB-3451
Comment 2 Kevin Conner 2010-08-10 12:36:07 EDT
Link: Added: This issue is incorporated by SOA-2210
Comment 3 Laura Bailey 2010-12-16 19:41:28 EST
Writer: Added: Darrin
Comment 4 Laura Bailey 2010-12-16 19:47:55 EST
Release Notes Docs Status: Added: Not Yet Documented
Comment 6 Jiri Pechanec 2011-01-07 02:25:11 EST
Verified in ER6
Comment 7 Kevin Conner 2011-02-17 08:55:37 EST
The SOAPClient always mapped null objects to an empty element, this has been changed so that it can can also choose the xsi:nil attribute if appropriate.
Comment 8 Dana Mison 2011-02-17 20:39:13 EST
Release Notes Docs Status: Removed: Not Yet Documented Added: Documented as Resolved Issue
Release Notes Text: Added: The SOAPClient always mapped null objects to an empty element.  This has been changed so you also have the option to use the xsi:nil attribute if appropriate.

Note You need to log in before you can comment on or make changes to this bug.